package de.joethei.hs.java2.tests;

import de.joethei.hs.java2.vorlesungen.Sieb;
import de.joethei.hs.java2.vorlesungen.binaryTree.Node;
import de.joethei.hs.java2.vorlesungen.binaryTree.Tree;
import org.junit.Test;

import java.util.Arrays;
import java.util.Set;
import java.util.TreeSet;

import static org.junit.Assert.assertEquals;


public class VorlesungsTest {

    @Test
    public void sieb() {
        Set<Integer> set = new TreeSet<>(Arrays.asList(2, 3, 5, 7, 11, 13, 17, 19));
        assertEquals(set, new Sieb(20).getPrimzahl());
    }

    @Test
    public void binaryTree() {


        Tree<Integer> tree = new Tree<>(new Node<>(45, new Node<>(14), new Node<>(16)));
        Node<Integer> node = new Node<>(45, new Node<>(14), new Node<>(16));
        assertEquals(Integer.valueOf(45), tree.getRoot().getValue());
        assertEquals(Integer.valueOf(14), tree.getRoot().getLeft().getValue());
        assertEquals(Integer.valueOf(16), tree.getRoot().getRight().getValue());

        assertEquals(tree.getRoot(), node);
    }
}